ZK Compression
getMultipleNewAddressProofsV2
Returns batch ZK Compression proofs (V2) confirming that a set of new compressed addresses are unique and available to create.
POST
/
cURL
curl --request POST \
--url 'https://mainnet.helius-rpc.com/?api-key=' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": "1",
"method": "getMultipleNewAddressProofsV2",
"params": [
{
"address": "11111118F5rixNBnFLmioWZSYzjjFuAL5dyoDVzhD",
"tree": "11111118F5rixNBnFLmioWZSYzjjFuAL5dyoDVzhD"
}
]
}
'import requests
url = "https://mainnet.helius-rpc.com/?api-key="
payload = {
"jsonrpc": "2.0",
"id": "1",
"method": "getMultipleNewAddressProofsV2",
"params": [
{
"address": "11111118F5rixNBnFLmioWZSYzjjFuAL5dyoDVzhD",
"tree": "11111118F5rixNBnFLmioWZSYzjjFuAL5dyoDVzhD"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: '1',
method: 'getMultipleNewAddressProofsV2',
params: [
{
address: '11111118F5rixNBnFLmioWZSYzjjFuAL5dyoDVzhD',
tree: '11111118F5rixNBnFLmioWZSYzjjFuAL5dyoDVzhD'
}
]
})
};
fetch('https://mainnet.helius-rpc.com/?api-key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context": {
"slot": 100
},
"value": [
{
"address": "11111118F5rixNBnFLmioWZSYzjjFuAL5dyoDVzhD",
"higherRangeAddress": "11111118F5rixNBnFLmioWZSYzjjFuAL5dyoDVzhD",
"lowElementLeafIndex": 1,
"lowerRangeAddress": "11111118F5rixNBnFLmioWZSYzjjFuAL5dyoDVzhD",
"merkleTree": "11111118F5rixNBnFLmioWZSYzjjFuAL5dyoDVzhD",
"nextIndex": 1,
"proof": [
"11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP"
],
"root": "11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP",
"rootSeq": 1
}
]
}{
"jsonrpc": "2.0",
"error": {
"code": -32602,
"message": "Invalid params"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32001,
"message": "Unauthorized"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32005,
"message": "Too many requests"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32603,
"message": "Internal error"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32002,
"message": "Service unavailable"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32003,
"message": "Gateway timeout"
},
"id": "1"
}Request Parameters
A Solana public key represented as a base58 string.
A Solana public key represented as a base58 string.
Authorizations
Body
application/json
The version of the JSON-RPC protocol.
Available options:
2.0 An ID to identify the request.
The name of the method to invoke.
Available options:
getMultipleNewAddressProofsV2 Show child attributes
Show child attributes
Was this page helpful?
Previous
getTransactionWithCompressionInfoReturns the transaction data for the transaction with the given signature along with parsed compression info.
Next
⌘I
cURL
